package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 销售合同-模板复审表
 * </p>
 *
 * @author yafan
 * @since 2023-12-08
 */
@TableName("sales_contract_template_again_approval_info")
public class SalesContractTemplateAgainApprovalInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同管理Id
     */
    @TableField("c_sales_contract_management_id")
    @NotNull(message = "列表id不能为空！")
    private Long cSalesContractManagementId;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    @NotEmpty(message = "审批结论不能为空！")
    private String approvalConclusion;

    @TableField(exist = false)
    @NotEmpty(message = "taskId不能为空！")
    private String taskId;

    @TableField(exist = false)
    private List<String> comments;

    public Long getcSalesContractManagementId() {
        return cSalesContractManagementId;
    }

    public void setcSalesContractManagementId(Long cSalesContractManagementId) {
        this.cSalesContractManagementId = cSalesContractManagementId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<String> getComments() {
        return comments;
    }

    public void setComments(List<String> comments) {
        this.comments = comments;
    }

    @Override
    public String toString() {
        return "SalesContractTemplateAgainApprovalInfo{" +
                ", cSalesContractManagementId=" + cSalesContractManagementId +
                ", approvalConclusion=" + approvalConclusion +
                "}";
    }
}
